/*
 * Docs Dispatcher API - API document(s) generation
 * Docs.io API enables you to generate files (currently DOCx, XLSx, PPTx, PDF, HTML, JPG/PNG/SVG) from a template and JSON data. You can just download resulting file, send email with generated attachments or compose services.
 *
 * The version of the OpenAPI document: 3.1.1
 * Contact: tech@docs-dispatcher.io
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


package io.docs_dispatcher.client.model;

import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.docs_dispatcher.client.model.BasicRequest;
import io.docs_dispatcher.client.model.TargetRequest;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import org.junit.jupiter.api.Disabled;
import org.junit.jupiter.api.Test;

/**
 * Model tests for BasicListRequest
 */
public class BasicListRequestTest {
    private final BasicListRequest model = new BasicListRequest();

    /**
     * Model tests for BasicListRequest
     */
    @Test
    public void testBasicListRequest() {
        // TODO: test BasicListRequest
    }

    /**
     * Test the property 'targets'
     */
    @Test
    public void targetsTest() {
        // TODO: test targets
    }

    /**
     * Test the property 'requests'
     */
    @Test
    public void requestsTest() {
        // TODO: test requests
    }

    /**
     * Test the property 'resultFileName'
     */
    @Test
    public void resultFileNameTest() {
        // TODO: test resultFileName
    }

}
